<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:variable name="NickAutora" select="'Topory'"/>
	<xsl:variable name="wiki" select="'Wikipedia'"/>
	<xsl:template match="weglowodory">
		<html>
			<head profile="http://gmpg.org/xfn/11">
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<title>
					<xsl:value-of select="naglowek"/> - transformacje XSL(T)</title>
				<link rel="stylesheet" type="text/css" href="styl.css"/>
				<!--[if lt IE 7]>
        <script defer="" type="text/javascript" src="pngfix.js"></script>
        <![endif]-->
			</head>
			<body>
				<div id="wrapper">
					<div id="logo" align="center">
						<img src="logo.png" alt="Chemia" width="700" height="120"/>
					</div>
					<div id="main">
						<h1>Wstęp</h1>
						<xsl:apply-templates select="//wstep"/>
						<xsl:for-each select="kategorie/kategoria">
							<hr/>
							<hr/>
							<p align="center">Kategoria: <h1>
									<xsl:value-of select="@nazwa"/>
								</h1>
							</p>
							<xsl:for-each select="akapit">
								<p>
									<xsl:value-of select="."/>
								</p>
							</xsl:for-each>
							<xsl:apply-templates select="//zwiazek"/>
						</xsl:for-each>
					</div>
					<div id="sidebar">
						<ul>
							<li>
								<a href="weglowodory.xml">Alternatywne przekształcenie</a>
							</li>
						</ul>
						<ul>
							<li>
								<h2>Linki - Źródła:</h2>
								<ul>
									<li>
										<a href="http://pl.wikipedia.org/wiki/Portal:Chemia" target="_blank">Portal Chemia 
            - Wikipedia</a>
									</li>
									<li>
										<a href="http://eduseek.interklasa.pl/przedmioty/chemia/" target="_blank">Interkl@sa 
            - Chemia</a>
									</li>
								</ul>
							</li>
						</ul>
					</div>
					<div id="stopka">
						<xsl:apply-templates select="//stopka"/>
					</div>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="wstep">
		<xsl:for-each select="akapit">
			<p>
				<xsl:value-of select="."/>
			</p>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="zwiazek">
		<xsl:for-each select=".">
			<xsl:if test="not(autorzy/autor/nick = $NickAutora)">
				<br/>
				<p align="center">
					<h2>#<xsl:number value="position()" format="1"/>. <xsl:value-of select="@nazwa"/>
					</h2>
				</p>
				<p align="center">
					<img>
						<xsl:attribute name="src"><xsl:value-of select="obrazek/@path"/></xsl:attribute>
					</img>
				</p>
				<xsl:for-each select="akapit">
					<p>
						<xsl:value-of select="."/>
					</p>
				</xsl:for-each>
				<p align="center">
					<b>Autorzy:</b>
					<br/>
					<xsl:for-each select="autorzy/autor">
						<b>
							<xsl:number value="position()" format="1"/>.</b> Imię: <b>
							<xsl:value-of select="imie"/>
						</b>, Nazwisko: <b>
							<xsl:value-of select="nazwisko"/>
						</b>, Nick: <b>
							<xsl:value-of select="nick"/>
						</b>, Źródło: <b>
							<xsl:choose>
								<xsl:when test="zrodlo = $wiki">
									<a href="http://pl.wikipedia.org/">Wikipedia, wolna encyklopedia</a>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="."/>
								</xsl:otherwise>
							</xsl:choose>
						</b>.<br/>
					</xsl:for-each>
				</p>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="stopka">
		<p>
			<xsl:for-each select="akapit">
				<xsl:value-of select="."/>
				<br/>
			</xsl:for-each>
		</p>
	</xsl:template>
</xsl:stylesheet>
