<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="NickAutora" select="'Topory'"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="weglowodory">
		<html>
			<head>
				<title/>
			</head>
			<body>
				<table border="1" width="100%">
					<tbody>
						<tr>
							<xsl:apply-templates select="//naglowek"/>
						</tr>
						<tr>
							<th>Wstep</th>
						</tr>
						<tr>
							<xsl:apply-templates select="//wstep"/>
						</tr>
						<xsl:apply-templates select="//kategorie"/>
						<tr>
							<xsl:apply-templates select="//stopka"/>
						</tr>
					</tbody>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="naglowek">
		<th>
			<h1>
				<xsl:value-of select="."/>
			</h1>
		</th>
	</xsl:template>
	<xsl:template match="wstep">
		<td>
			<xsl:for-each select="akapit">
				<p>
					<xsl:value-of select="."/>
				</p>
			</xsl:for-each>
			<h3>Ten dokument uwzględnia tylko artykuły tworzone lub współtworzone przez użytkownika o określonym nicku.</h3>
			<!-- I pod to jest zoptymalizowany kod -->
			<!-- Aby nie dokonujac wielu zmian wyswietlic wszystkich, najlepiej wyszukiwac po imieniu 'b.d' - takie maja wszyscy w pliku xml -->
		</td>
	</xsl:template>
	<xsl:template match="kategorie">
		<xsl:for-each select="kategoria/zwiazek/autorzy/autor[nick=$NickAutora]">
			<xsl:sort select="../../@nazwa" order="ascending"/>
			<tr>
				<td align="center">
					<b>
						<xsl:number value="position()" format="1"/>.</b> Kategoria: <b>
						<xsl:value-of select="../../../@nazwa"/>
					</b>, nazwa: <b>
						<xsl:value-of select="../../@nazwa"/>
					</b>
				</td>
			</tr>
			<tr>
				<td>
					<p align="center">
						<a>
							<xsl:attribute name="href"><xsl:value-of select="../../obrazek/@path"/></xsl:attribute>Obrazek</a>
					</p>
					<ul>
						<xsl:for-each select="../../akapit">
							<li>
								<xsl:value-of select="."/>
							</li>
						</xsl:for-each>
					</ul>
					<p align="center">
						<b>Autorzy:</b>
						<br/>
						<xsl:for-each select="../autor">
							<!-- nie wiedziec czemu, kropka nie dziala -->
							<b>
								<xsl:number value="position()" format="1"/>.</b> Imię: <b>
								<xsl:value-of select="imie"/>
							</b>, Nazwisko: <b>
								<xsl:value-of select="nazwisko"/>
							</b>, Nick: <b>
								<xsl:value-of select="nick"/>
							</b>, Źródło: <b>
								<xsl:value-of select="zrodlo"/>
							</b>.<br/>
						</xsl:for-each>
					</p>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="stopka">
		<td>
			<i>
				<xsl:for-each select="akapit">
					<xsl:value-of select="."/>
					<br/>
				</xsl:for-each>
			</i>
		</td>
	</xsl:template>
</xsl:stylesheet>
